//package com.persagy.client;
//
//import com.persagy.job.NettyMessageQueue;
//import com.persagy.repository.AlarmRecordRepository;
//import com.persagy.service.AlarmDefineService;
//import io.netty.bootstrap.Bootstrap;
//import io.netty.channel.Channel;
//import io.netty.channel.ChannelFuture;
//import io.netty.channel.ChannelFutureListener;
//import io.netty.channel.ChannelInitializer;
//import io.netty.channel.nio.NioEventLoopGroup;
//import io.netty.channel.socket.SocketChannel;
//import io.netty.channel.socket.nio.NioSocketChannel;
//import io.netty.handler.codec.LengthFieldBasedFrameDecoder;
//import io.netty.handler.codec.LengthFieldPrepender;
//import io.netty.handler.codec.string.StringDecoder;
//import io.netty.handler.codec.string.StringEncoder;
//import lombok.Data;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.stereotype.Service;
//
//import java.util.Map;
//import java.util.concurrent.ConcurrentHashMap;
//
///**
// * @author lqshi
// * @ClassName: NettyClient
// * @Description: netty启动、发送消息等
// * @date 2020年8月31日 上午10:34:45
// */
//@Service
//@Slf4j
//@Data
//public class GroupNettyClient {
//    public static Channel channelGroup;
//    //会话对象组
//    public static Map<String, Channel> channelsMap = new ConcurrentHashMap<>();
//    static Bootstrap groupBootstrap = new Bootstrap();
//    @Autowired
//    AlarmDefineService alarmDefineService;
//    @Autowired
//    AlarmRecordRepository alarmRecordRepository;
//    @Value("${group.alarm.host:127.0.0.1}")
//    private String host;
//    @Value("${group.alarm.port}")
//    private int port;
//    /**
//     * 项目名称
//     */
//    @Value("${project.id}")
//    private String projectId;
//    /**
//     * 集团编码
//     */
//    @Value("${group.code}")
//    private String groupCode;
//
//    /**
//     * @param
//     * @description:启动netty客户端
//     * @exception:
//     * @author: LuoGuangyi
//     * @company: Persagy Technology Co.,Ltd
//     * @return: void
//     * @since: 2020/10/20 15:54
//     * @version: V1.0
//     */
//    public void start() {
//
//        GroupNettyClient groupNettyClient = this;
//        try {
//            // 启动辅助对象类
//            groupBootstrap.group(new NioEventLoopGroup(5))
//                    // 建立通道
//                    .channel(NioSocketChannel.class)
//                    // 初始化通道及进行配置
//                    .handler(new ChannelInitializer<SocketChannel>() {
//                        @Override
//                        protected void initChannel(SocketChannel ch) throws Exception {
//                            ch.pipeline().addLast(new LengthFieldBasedFrameDecoder(Integer.MAX_VALUE, 0, 4, 0, 4));
//                            ch.pipeline().addLast(new LengthFieldPrepender(4));
//                            // 将分隔之后的字节数据转换为字符串
//                            ch.pipeline().addLast(new StringDecoder());
//                            ch.pipeline().addLast(new StringEncoder());
//                            // pipeline可以理解为所有handler的初始化容器
//                            ch.pipeline().addLast(new GroupNettyClientHandler(groupNettyClient, alarmDefineService, alarmRecordRepository));// 添加自定义handler
//                        }
//                    });
//            // 连接远程节点，等待连接完成
//            // channel = b.connect().sync();//
//            // sync()代表同步等待连接，然后在f.channel().closeFuture().sync();，如果不加就不会等待，直接关闭
//            channelGroup = groupBootstrap.connect(host, port).channel();
//            channelsMap.put("group", channelGroup);
//        } catch (Exception e) {
//            e.printStackTrace();
//        } finally {
//            // 关闭主线程组
//            //回收group后下面的自动重连connect（）无法直接使用
//            //group.shutdownGracefully();
//
//        }
//    }
//
//    public void connect(GroupNettyClient groupNettyClient, Channel channel) {
//        // 加入断线后自动重连监听器
//        log.info("try connect!");
//        for (Map.Entry<String, Channel> entry : channelsMap.entrySet()) {
//            if (entry.getValue() == channel && !channel.isActive()) {
//                channelGroup = groupBootstrap.connect(groupNettyClient.host, groupNettyClient.port).addListener(new ChannelFutureListener() {
//                    @Override
//                    public void operationComplete(ChannelFuture future) throws Exception {
//                        if (future.cause() != null) {
//                            log.info("Failed to connect: " + future.cause());
//                        }
//                    }
//                }).channel();
//                channelsMap.put(entry.getKey(), channelGroup);
//            }
//        }
//    }
//
//    /**
//     * @param msg
//     * @Title: sendMessage
//     * @Description: 发送消息
//     */
///*    public void sendMessage(Object msg,String type) {
//        for (Map.Entry<String, Channel> ch:channelsMap.entrySet() ) {
//            if(type.equals(ch.getKey())) {
//                log.info(msg);
//                log.info(ch.getKey());
//                ch.getValue().writeAndFlush(msg);
//            }else {
//                log.info("----to group --");
//                ch.getValue().writeAndFlush(msg);
//            }
//        }
//    }*/
//    public void sendMessage(String msg) throws InterruptedException {
//        log.info("给云端发送数据：[{}]", msg);
//        if (channelGroup.isWritable()) {
//            try {
//                channelGroup.writeAndFlush(msg);
//            } catch (Exception e) {
//                log.error("发送数据异常,放入缓冲队列中",e);
//                NettyMessageQueue.getNettyMessageQueue().produce(msg);
//                channelGroup.close();
//            }
//        } else {
//            log.warn("云端netty不可写，放入缓冲队列中[{}]", msg);
//            NettyMessageQueue.getNettyMessageQueue().produce(msg);
//        }
//    }
//
//}
