package com.persagy.constant;

/**
 * @description: redis常量
 * @author: fenghanchao
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/7/20 10:29
 * @version: V1.0
 **/
public class RedisConstant {

    /**
     * 根据图类型获取数据平台图实例
     * 格式为Hash格式  "DATA_PLATFORM_GRAPH_INSTANCE:projectId" : {"图类型":"图实例"}
     */
    public static final String DATA_PLATFORM_GRAPH_INSTANCE_KEY = "DATA_PLATFORM_GRAPH_INSTANCE";

    /**
     * 根据信息点获取表号功能号
     * 格式为Hash格式 "INFO_CODE_METER_FUC:projectId":{"信息点":"表号-功能号"}
     */
    public static final String INFO_CODE_METER_FUC_KEY = "INFO_CODE_METER_FUC";

    /**
     * 根据表号功能号获取信息点
     * 格式为Hash格式
     */
    public static final String METER_FUC_INFO_CODE_KEY = "METER_FUC_INFO_CODE";

    /**
     * 根据表号功能号获取实时数据
     * 格式为Hash格式 "METER_FUNC_CURRENT_DATA:projectId" : {"表号-功能号" : 实时数据值}
     */
    public static final String METER_FUNC_CURRENT_DATA_KEY = "METER_FUNC_CURRENT_DATA";

    /**
     * 根据报警定义id获取报警定义详情
     * 格式为Hash格式 "ALARM_DEFINITION_DETAIL:projectId" : {"报警定义id" : "报警定义详情"}
     */
    public static final String ALARM_DEFINITION_DETAIL_KEY = "ALARM_DEFINITION_DETAIL";

    /**
     * 根据表号功能号获取多条报警定义id
     * 格式为Hash格式 "ALARM_DEFINITION_DETAIL:project_id" : {"表号-功能号" : "['报警定义id1','报警定义id2']"}
     */
    public static final String ALARM_METER_FUNC_DEFINITION_KEY = "ALARM_METER_FUNC_DEFINITION";

    /**
     * 根据报警定义id获取对应的表号功能号
     * 格式为Hash格式 "ALARM_DEFINITION_METER_FUNC:projectId" : {"报警定义id" : "['表号-功能号1','表号-功能号2']"}
     */
    public static final String ALARM_DEFINITION_METER_FUNC_KEY = "ALARM_DEFINITION_METER_FUNC";

    /**
     * 根据报警定义id获取初步满足报警条件的预报警时间
     * 格式为Hash格式 "ALARM_DEFINITION_PRE_ALARM:projectId" : {"报警定义id" : "2020-07-20 01:00:00"}
     */
    public static final String ALARM_DEFINITION_PRE_ALARM_KEY = "ALARM_DEFINITION_PRE_ALARM";

    /**
     * 根据报警定义id获取报警详情
     * 格式为Hash格式 "ALARM_DEFINITION_ALARM:projectId" : {"报警定义id" : "{报警定义详情}"}
     */
    public static final String ALARM_DEFINITION_ALARM_INFO_KEY = "ALARM_DEFINITION_ALARM_INFO";

}
