package com.persagy.controller;


import cn.hutool.core.util.ObjectUtil;
import com.alibaba.fastjson.JSONObject;
import com.persagy.cache.AlarmInfoCache;
import com.persagy.constant.CommonConst;
import com.persagy.entity.AlarmDefine;
import com.persagy.entity.NettyMessage;
import com.persagy.entity.ZktAlarmRecordDO;
import com.persagy.netty.client.NettyClient;
import com.persagy.repository.AlarmRecordRepository;
import com.persagy.service.AlarmHandleService;
import com.persagy.utils.LockUtil;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.*;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.atomic.AtomicInteger;

@Api(tags = "hello")
@RestController
@RequestMapping("hello")
@Slf4j
public class HelloWorld {
    @Autowired
    AlarmHandleService alarmHandleService;
    @Autowired
    AlarmInfoCache alarmInfoCache;
    @Autowired
    AlarmRecordRepository alarmRecordRepository;
    @Autowired
    NettyClient nettyClient;
    
    @PostMapping("/createAlarm")
    public String createAlarm(@RequestBody JSONObject jsonObject) throws Exception {
        NettyMessage nettyMessage = new NettyMessage(5);
        nettyMessage.setRemark("连接已经建立；");
        nettyMessage.setContent(Arrays.asList(jsonObject));
        nettyClient.sendMessage(nettyMessage);
        return "hello world!";
    }

    @PostMapping("/")
    public String world(@RequestBody JSONObject jsonObject) throws Exception {
        return "hello world!";
    }

    @PostMapping("/testMesage")
    public String testMesage(@RequestBody JSONObject jsonObject) throws Exception {
        NettyMessage nettyMessage = new NettyMessage(4);
        nettyMessage.setRemark("连接已经建立；");
        JSONObject content = new JSONObject();
        content.put("groupCode", CommonConst.groupCode);
        content.put("projectId", CommonConst.projectId);
        nettyMessage.setContent(Arrays.asList(content));
        nettyClient.sendMessage(nettyMessage);
        return "成功";
    }


    @PostMapping("/test")
    public String test(@RequestBody JSONObject jsonObject) throws Exception {
        LockUtil.getInstance().lock.lock();
        try {
            LockUtil.getInstance().setExecute(!LockUtil.getInstance().isExecute());
            //加个等待，保证正在执行的逻辑执行成功
            Thread.sleep(2000);
            if (LockUtil.getInstance().isExecute()) {
                LockUtil.getInstance().condition.signalAll();
            }
        } catch (InterruptedException e) {
            e.printStackTrace();
        } finally {
            LockUtil.getInstance().lock.unlock();
        }
        AtomicInteger atomicInteger = new AtomicInteger(0);
        alarmInfoCache.getAlarmDefineMap().entrySet().forEach(entry -> {
//			log.info("[{}]的key:[{}],value:[{}]",atomicInteger.getAndIncrement(),entry.getKey(),entry.getValue());
        });
        return "成功";
    }

    @PostMapping("/test2")
    public String test2(@RequestBody JSONObject jsonObject) throws Exception {
        String message = jsonObject.getString("message");
        alarmHandleService.handleIOTData(message);
        return "成功";
    }

    @PostMapping("/test3")
    public ArrayList<ZktAlarmRecordDO> test3(@RequestBody JSONObject jsonObject) throws Exception {
        String defineId = AlarmInfoCache.getAlarmDefineId(jsonObject);
        ZktAlarmRecordDO zktAlarmRecordDO = alarmRecordRepository.findById(defineId).orElse(new ZktAlarmRecordDO());
        zktAlarmRecordDO.setDefinitionId(defineId);
        zktAlarmRecordDO.setItemCode(jsonObject.getString("itemCode"));
        zktAlarmRecordDO.setObjId(jsonObject.getString("objId"));
        zktAlarmRecordDO.setItemId(jsonObject.getString("itemId"));
        zktAlarmRecordDO.setAlarmId(jsonObject.getString("id"));
        ZktAlarmRecordDO save = alarmRecordRepository.save(zktAlarmRecordDO);
        log.info("保存结果为：{}", save);
        Iterable<ZktAlarmRecordDO> all = alarmRecordRepository.findAll();
        Iterator<ZktAlarmRecordDO> iterator = all.iterator();
        ArrayList<ZktAlarmRecordDO> list = new ArrayList<>();
        while (iterator.hasNext()) {
            list.add(iterator.next());
        }
        return list;
    }

    @PostMapping("/test4")
    public Map<String, AlarmDefine> test4(@RequestBody JSONObject jsonObject) throws Exception {
        ConcurrentHashMap<String, AlarmDefine> alarmDefineMap = alarmInfoCache.getAlarmDefineMap();
        if (ObjectUtil.isNotEmpty(alarmDefineMap)) {
            return alarmDefineMap;
        }
        return new HashMap<>();
    }

}

