package com.persagy.entity;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Transient;

/**
 * @description:
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/10/18 001814:37
 * @version:V1.0 {
 * "streamId": "",
 * "opCode": "",
 * "content": [
 * {
 * "id": "000f9609-685e-47b7-bb7d-e91d31f21f8d",
 * "objId": "Eq1101050029e8fa1f6e4c81483fbfd7c554e1cdcd2e",
 * "projectId": "Pj1101050029",
 * "itemCode": "1051",
 * "category": "Eq",
 * "level": "300",
 * "remark": "更改报警等级333",
 * "condition": {
 * },
 * "open": 0,
 * "concern": 0,
 * "userDefined": 0,
 * "createUser": "System",
 * "createTime": 1603268498000,
 * "updateUser": "systemId",
 * "updateTime": 1603372305000,
 * "valid": 1
 * }
 * ]
 * }
 **/
@Data
public class AlarmDefine {
    /**
     * 报警定义ID
     */
    private String id;
    /**
     * 报警对象ID
     */
    private String objId;
    /**
     * 系统编码
     */
    private String systemCode;
    /**
     * 系统名称
     */
    private String systemName;
    /**
     * 类型id
     */
    @ApiModelProperty(value = "报警类型id")
    private String itemId;
    /**
     * 对象类型
     */
    private String classCode;
    /**
     * 项目ID
     */
    private String projectId;
    /**
     * 报警对象类型
     */
    private String objType;
    /**
     * 严重程度
     */
    private String level;
    /**
     * 触发条件（信息点详情）
     */
    private Condition condition;

    /**
     * 报警条目编码
     */
    private String itemCode;
    /**
     * 报警名称
     */
    private String name;
    /**
     * 备注
     */
    private String remark;
    /**
     * 屏蔽状态 1-生效 0-屏蔽
     */
    private int open;
    /**
     * 是否重点关注
     */
    private int concern;

    private String ibmsClassCode;

    private String ibmsSceneCode;


    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
