package com.persagy.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import org.quartz.JobDataMap;

import java.util.Date;

/**
 * @description:报警过期，取消报警过期的消息队列
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/10/27 00279:48
 * @version:V1.0
 **/
@Data
public class ExpireAlarmMessage {
    /**
     * 消息类型 1-过期消息  2-取消报警消息
     */
    String Type;
    /**
     * 报警过期时间
     */
    Date startTime;
    /**
     * 任务名称
     */
    String jobName;
    /**
     * 任务分组
     */
    String jobGroupName;
    /**
     * 定时任务数据
     */
    JobDataMap jobDataMap;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
