package com.persagy.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description 温度预警状态
 * @ClassName TemperatureWarningState.java
 * @author LuoGuangyi
 * @version 1.0.0
 * @createTime  2021/05/07 10:26
 * @Since
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TemperatureWarningState {
    /**
     * 报警定义ID
     */
    private String definitionId;
    /**
     * 报警状态（ 0-正常 1-升温报警 2-降温预警）
     */
    private String state = "0";
    /**
     * 最近下一次数据
     */
    private Double latestData;
    /**
     * 连续升温次数
     */
    private int increTimes;
    /**
     * 连续降温次数
     */
    private int decreTimes;

    public TemperatureWarningState(String definitionId) {
        this.definitionId = definitionId;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
