package com.persagy.netty.client;

import com.persagy.netty.codec.ObjDecoder;
import com.persagy.netty.codec.ObjEncoder;
import com.persagy.repository.AlarmRecordRepository;
import com.persagy.service.AlarmDefineService;
import io.netty.channel.ChannelInitializer;
import io.netty.channel.socket.SocketChannel;
import io.netty.handler.timeout.IdleStateHandler;

import java.util.concurrent.TimeUnit;


public class CenterChannelInitializer extends ChannelInitializer<SocketChannel> {
    private final AlarmDefineService alarmDefineService;
    private final NettyClient nettyClient;
    private final AlarmRecordRepository alarmRecordRepository;

    public CenterChannelInitializer(AlarmDefineService alarmDefineService, NettyClient nettyClient, AlarmRecordRepository alarmRecordRepository) {
        this.alarmDefineService = alarmDefineService;
        this.nettyClient = nettyClient;
        this.alarmRecordRepository = alarmRecordRepository;
    }

    @Override
    protected void initChannel(SocketChannel channel) throws Exception {
//        channel.pipeline().addLast(new IdleStateHandler(0,60,0, TimeUnit.SECONDS));
        //对象传输处理
        channel.pipeline().addLast(new ObjDecoder());
        // 在管道中添加我们自己的接收数据实现方法
        channel.pipeline().addLast(new CenterClientHandler(alarmDefineService, nettyClient, alarmRecordRepository));
        channel.pipeline().addLast(new ObjEncoder());
    }

}
