
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

SET NAMES UTF8MB4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_BLOB_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_BLOB_TRIGGERS`;
CREATE TABLE `ZKT_ALARM_BLOB_TRIGGERS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `BLOB_DATA` BLOB NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  INDEX `SCHED_NAME`(`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `ZKT_ALARM_BLOB_TRIGGERS_IBFK_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `ZKT_ALARM_TRIGGERS` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_CALENDARS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_CALENDARS`;
CREATE TABLE `ZKT_ALARM_CALENDARS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `CALENDAR_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `CALENDAR` BLOB NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `CALENDAR_NAME`) USING BTREE
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_CRON_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_CRON_TRIGGERS`;
CREATE TABLE `ZKT_ALARM_CRON_TRIGGERS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `CRON_EXPRESSION` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TIME_ZONE_ID` VARCHAR(80) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `ZKT_ALARM_CRON_TRIGGERS_IBFK_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `ZKT_ALARM_TRIGGERS` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_FIRED_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_FIRED_TRIGGERS`;
CREATE TABLE `ZKT_ALARM_FIRED_TRIGGERS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `ENTRY_ID` VARCHAR(95) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `INSTANCE_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `FIRED_TIME` BIGINT(13) NOT NULL,
  `SCHED_TIME` BIGINT(13) NOT NULL,
  `PRIORITY` INT(11) NOT NULL,
  `STATE` VARCHAR(16) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `JOB_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `JOB_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `IS_NONCONCURRENT` VARCHAR(1) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `REQUESTS_RECOVERY` VARCHAR(1) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`, `ENTRY_ID`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_FT_TRIG_INST_NAME`(`SCHED_NAME`, `INSTANCE_NAME`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_FT_INST_JOB_REQ_RCVRY`(`SCHED_NAME`, `INSTANCE_NAME`, `REQUESTS_RECOVERY`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_FT_J_G`(`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_FT_JG`(`SCHED_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_FT_T_G`(`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_FT_TG`(`SCHED_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_JOB_DETAILS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_JOB_DETAILS`;
CREATE TABLE `ZKT_ALARM_JOB_DETAILS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `JOB_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `JOB_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `DESCRIPTION` VARCHAR(250) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `JOB_CLASS_NAME` VARCHAR(250) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `IS_DURABLE` VARCHAR(1) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `IS_NONCONCURRENT` VARCHAR(1) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `IS_UPDATE_DATA` VARCHAR(1) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `REQUESTS_RECOVERY` VARCHAR(1) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `JOB_DATA` BLOB NULL,
  PRIMARY KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_J_REQ_RECOVERY`(`SCHED_NAME`, `REQUESTS_RECOVERY`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_J_GRP`(`SCHED_NAME`, `JOB_GROUP`) USING BTREE
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_LOCKS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_LOCKS`;
CREATE TABLE `ZKT_ALARM_LOCKS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `LOCK_NAME` VARCHAR(40) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `LOCK_NAME`) USING BTREE
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_PAUSED_TRIGGER_GRPS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_PAUSED_TRIGGER_GRPS`;
CREATE TABLE `ZKT_ALARM_PAUSED_TRIGGER_GRPS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_RECORD
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_RECORD`;
CREATE TABLE `ZKT_ALARM_RECORD`  (
  `DEFINITION_ID` VARCHAR(200) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL DEFAULT '''' COMMENT ''报警定义ID'',
  `ITEM_CODE` VARCHAR(42) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL COMMENT ''报警条目编码'',
  `OBJ_ID` VARCHAR(60) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL COMMENT ''报警对象ID'',
  `TARGET_ID` VARCHAR(50) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL COMMENT ''报警匹配规则ID'',
  `STATE` VARCHAR(10) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL COMMENT ''报警定义对应最新一条报警记录状态'',
  `ALARM_ID` VARCHAR(42) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL COMMENT ''报警定义对应最新一条报警记录ID'',
  `ALARM_TIME` VARCHAR(20) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL COMMENT ''报警时间'',
  `EFFECT_END_TIME` VARCHAR(20) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL COMMENT ''报警生效结束时间(报警过期时间)'',
  `REMARK` VARCHAR(255) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL COMMENT ''备注'',
  `NAME` VARCHAR(100) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL COMMENT ''报警名称'',
  `END_INFO` JSON NULL COMMENT ''报警结束值'',
  `END_TIME` DATETIME(0) NULL DEFAULT NULL COMMENT ''报警结束时间'',
  `PROJECT_ID` VARCHAR(50) CHARACTER SET UTF8MB4 COLLATE UTF8MB4_GENERAL_CI NULL DEFAULT NULL COMMENT ''项目ID'',
  PRIMARY KEY (`DEFINITION_ID`) USING BTREE,
  UNIQUE INDEX `INDEX_ALARM_ITEM_OBJ_TAR`(`ITEM_CODE`, `OBJ_ID`, `TARGET_ID`) USING BTREE COMMENT ''一个报警条目，一个对象在一个报警报警匹配规则只能对应一条报警定义''
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI COMMENT = ''报警记录ID'' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_SCHEDULER_STATE
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_SCHEDULER_STATE`;
CREATE TABLE `ZKT_ALARM_SCHEDULER_STATE`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `INSTANCE_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `LAST_CHECKIN_TIME` BIGINT(13) NOT NULL,
  `CHECKIN_INTERVAL` BIGINT(13) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `INSTANCE_NAME`) USING BTREE
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_SIMPLE_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_SIMPLE_TRIGGERS`;
CREATE TABLE `ZKT_ALARM_SIMPLE_TRIGGERS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `REPEAT_COUNT` BIGINT(7) NOT NULL,
  `REPEAT_INTERVAL` BIGINT(12) NOT NULL,
  `TIMES_TRIGGERED` BIGINT(10) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `ZKT_ALARM_SIMPLE_TRIGGERS_IBFK_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `ZKT_ALARM_TRIGGERS` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_SIMPROP_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_SIMPROP_TRIGGERS`;
CREATE TABLE `ZKT_ALARM_SIMPROP_TRIGGERS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `STR_PROP_1` VARCHAR(512) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `STR_PROP_2` VARCHAR(512) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `STR_PROP_3` VARCHAR(512) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `INT_PROP_1` INT(11) NULL DEFAULT NULL,
  `INT_PROP_2` INT(11) NULL DEFAULT NULL,
  `LONG_PROP_1` BIGINT(20) NULL DEFAULT NULL,
  `LONG_PROP_2` BIGINT(20) NULL DEFAULT NULL,
  `DEC_PROP_1` DECIMAL(13, 4) NULL DEFAULT NULL,
  `DEC_PROP_2` DECIMAL(13, 4) NULL DEFAULT NULL,
  `BOOL_PROP_1` VARCHAR(1) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `BOOL_PROP_2` VARCHAR(1) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `ZKT_ALARM_SIMPROP_TRIGGERS_IBFK_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `ZKT_ALARM_TRIGGERS` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- TABLE STRUCTURE FOR ZKT_ALARM_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `ZKT_ALARM_TRIGGERS`;
CREATE TABLE `ZKT_ALARM_TRIGGERS`  (
  `SCHED_NAME` VARCHAR(120) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `JOB_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `JOB_GROUP` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `DESCRIPTION` VARCHAR(250) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `NEXT_FIRE_TIME` BIGINT(13) NULL DEFAULT NULL,
  `PREV_FIRE_TIME` BIGINT(13) NULL DEFAULT NULL,
  `PRIORITY` INT(11) NULL DEFAULT NULL,
  `TRIGGER_STATE` VARCHAR(16) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `TRIGGER_TYPE` VARCHAR(8) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NOT NULL,
  `START_TIME` BIGINT(13) NOT NULL,
  `END_TIME` BIGINT(13) NULL DEFAULT NULL,
  `CALENDAR_NAME` VARCHAR(190) CHARACTER SET UTF8 COLLATE UTF8_GENERAL_CI NULL DEFAULT NULL,
  `MISFIRE_INSTR` SMALLINT(2) NULL DEFAULT NULL,
  `JOB_DATA` BLOB NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_J`(`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_JG`(`SCHED_NAME`, `JOB_GROUP`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_C`(`SCHED_NAME`, `CALENDAR_NAME`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_G`(`SCHED_NAME`, `TRIGGER_GROUP`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_STATE`(`SCHED_NAME`, `TRIGGER_STATE`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_N_STATE`(`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`, `TRIGGER_STATE`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_N_G_STATE`(`SCHED_NAME`, `TRIGGER_GROUP`, `TRIGGER_STATE`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_NEXT_FIRE_TIME`(`SCHED_NAME`, `NEXT_FIRE_TIME`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_NFT_ST`(`SCHED_NAME`, `TRIGGER_STATE`, `NEXT_FIRE_TIME`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_NFT_MISFIRE`(`SCHED_NAME`, `MISFIRE_INSTR`, `NEXT_FIRE_TIME`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_NFT_ST_MISFIRE`(`SCHED_NAME`, `MISFIRE_INSTR`, `NEXT_FIRE_TIME`, `TRIGGER_STATE`) USING BTREE,
  INDEX `IDX_ZKT_ALARM_T_NFT_ST_MISFIRE_GRP`(`SCHED_NAME`, `MISFIRE_INSTR`, `NEXT_FIRE_TIME`, `TRIGGER_GROUP`, `TRIGGER_STATE`) USING BTREE,
  CONSTRAINT `ZKT_ALARM_TRIGGERS_IBFK_1` FOREIGN KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) REFERENCES `ZKT_ALARM_JOB_DETAILS` (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = INNODB CHARACTER SET = UTF8 COLLATE = UTF8_GENERAL_CI ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;

